* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Roboto', sans-serif;
}
img {
    width: 100%;
    margin-bottom: 10px;
}
header {
    display: flex;
    padding-left: 10px;
    padding-right: 10px;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 5px 4px 3px rgba(0, 0, 0, 0.3);
    margin-bottom: 20px;
    background-color: #ffbbdb;
    flex-wrap: wrap;
    width: 100%;
}

h1 {
    color: #ff53bd;
    font-weight: 800;
    font-size: 40px;
    text-shadow: 2px 2px #ff4a4a;;
}
#boton-carrito {
    border: none;
    color: #fffbfd;
    font-size: 40px;
    background-color: #ff6dc7;
    border-radius: 50%;
    padding: 10px 20px;
    transition: all .3s;
    font-size: 20px;
    
}
#boton-carrito:hover {
    cursor: pointer;
    color: white;
    background-color:#3A7B99;
}
#boton-carrito:focus {
    outline: none;
}

#contenedor-productos {
    max-width: 1200px;
    margin: 60px auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas: "producto producto producto producto";
    justify-content: space-between;
    flex-wrap: wrap;
}

p {
    line-height: 1.8;
}
.producto {
    grid-area: "producto";
    display: grid;
    align-items: center;
    text-align: center;
    padding: 10px;
    margin: 20px;
    margin-bottom: 20px;
    border: 1px solid black;
    border-radius: 5px;
    box-shadow: 0px 0px 6px 6px rgba(0, 0, 0, 0.5);
}


.precioProducto {
    font-weight: 700;
}
.boton-agregar {
    background-color: #70AFCE;
    color: white;
    font-size: 18px;
    font-weight: 700;
    padding: 5px;
    border: none;
    transition: transform 1s;
    border-radius: 3%;
}
.boton-agregar:hover {
    cursor: pointer;
    transform:scale(1.1);
    background-color: #6744ff;
}
.boton-agregar:focus {
    outline: none;
}

.modal-contenedor {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(117, 36, 248, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .5s;
    opacity: 0;
    visibility: hidden;
    overflow: scroll;
}

.modal-active {
    opacity: 1;
    visibility: visible;
}

.modal-carrito {
    position: relative;
    background-color: white;
    min-width: 500px;
    padding: 20px;
    margin-top: -100%;
    
    transition: all .5s;
}

.modal-active .modal-carrito {
    margin-top: 0;
}

.modal-carrito h3 {
    color: royalblue;
    padding-bottom: 5px;
}
.modal-carrito #carritoCerrar {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 20px;
    color: royalblue;
    border: none;
    background-color: white;
}
.modal-carrito #carritoCerrar:hover {
    cursor: pointer;
}
.modal-carrito #carritoCerrar:focus {
    outline: none;
}
.modal-carrito .precioProducto {
    padding-top: 10px;
    
}

.productoEnCarrito {
    border-left: 5px solid lightblue;
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
    margin: 5px 0;
    padding: 5px 10px;
    display: flex;
    justify-content: space-between;
}
.productoEnCarrito:hover {
    border-left: 5px solid coral;
}

.boton-eliminar {
    background-color: white;
    color: red;
    border: none;
    font-size: 20px;
}

.boton-eliminar:hover {
    cursor: pointer;
}
.boton-eliminar:focus {
    outline: none;
}

.imgventana{
    max-width: 100px;
    max-height: 100px;
    border-radius: 10%;
    margin-left: 10px;
    margin-right: 10px;
}

.cardimagen{
    border-radius: 10px;
    }

.nombreEnCarrito{
    padding: 30px;
    font-weight: bold;
}

#finalizar_compra{
    background: #ce709c;
    margin-left: 10px;
   
}

.imglogo{
    max-width: 120px;
    max-height: 120px;
    border-radius: 60px;
    object-fit: contain;
}

#cardName{
    
        color: #70AFCE;
        font-weight: 800;
        font-size: 24px;
        text-shadow: 1px 1px #0045f3;;
    
}


.imgPropuesta{
    max-height: 320px;
    border-radius: 10px;
    border-radius: 10px;
   
}
#propuestas{
    max-width: 1250px;
    font-weight: 800;
    font-size: 20px;
    text-align: center;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto auto;
    grid-template-areas: "propuestasEspeciales propuestasEspeciales propuestasEspeciales";
    margin: 60px auto;
    grid-template-columns: 1fr 1fr 1fr;
    justify-content: space-evenly;
    flex-wrap: wrap;
    align-items: center;
    background: rgb(255,195,252);
    background: linear-gradient(90deg, rgba(255,195,252,1) 0%, rgba(255,174,156,1) 100%);
    box-shadow: 0px 5px 4px 3px rgba(35, 34, 34, 0.3);
    border-radius: 10px;
}

.prodjson{
    grid-area: "producto";
    display: grid;
    align-items: center;
    text-align: center;
    padding: 10px;
    margin: 20px;
    margin-bottom: 20px;
    border: 1px solid black;
    border-radius: 5px;
    box-shadow: 0px 0px 6px 6px rgba(0, 0, 0, 0.5);
    max-height: 525px;
}

.ni{
    color: rgb(74, 63, 63);
    text-shadow: 1px 1px #c1abbd;
}

.especiales{
    font-family: 'Noto Sans', sans-serif;
    color: #ed91dc;
    text-shadow: 1px 1px #000000;
    font-size: 3rem;
}

.prodjson p{
    font-weight: 600;
}
   

@media screen and (max-width: 768px){
    #contenedor-productos {
        grid-template-columns: auto;
        grid-template-areas: "producto";
        justify-content: center;
        align-items: center;
    }
    .producto, .propuestasEspeciales {
        max-width: 60vh;
    }

   
    #titulo{
        font-size: 30px;
    }
    #propuestas{
        grid-template-columns: auto;
        grid-template-areas: "propuestasEspeciales";
        justify-content: center;
        align-items: center;
    }

    .nombreEnCarrito{
        padding: 0;
    }
    .imgventana{
        display: none;
    }
    .productoEnCarrito{
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto;
        justify-content: center;
        align-items: center;
    }
    .modal-carrito{
        width: 100px;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto;
        justify-content: center;
        align-items: center;
    }

}

@media screen and (max-width: 430px){
    header{
        min-height: 80px;
    }
    .producto, .propuestasEspeciales {
        max-width: 40vh;
    }
    .imglogo{
        display: none;
    }

    .modal-carrito{
        width: 50px;

    }
}

@media screen and (max-width: 350px){
    .prodjson p{
        font-size: smaller;
    }
}



